require "json"
require "uuid"
require "uuid/json"

class Product
    JSON.mapping(
        price: {type: Float64, nilable: true},
        tax_rate: {type: Float64, nilable: true},
        name: {type: String, default: "Undefined"},
        description: {type: String, default: "No description available"},
        pic_url: {type: String, nilable: true},
        id: UUID,
    )
  end